Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Make package settings available in view
Description

to be able to write

{settings.someOption}

in your (Fluid) template, the settings should be assigned to the view after initialization.

Associated revisions
Revision ec422e02 - 2009-10-30 13:15 - Bastian Waidelich

[+FEATURE] FLOW3 (MVC): Made package settings available in view. Now you can access settings directly in your Fluid template like
{settings.someOption}. This resolves #5152

History
#1 - 2009-10-27 19:09 - Bastian Waidelich

Patch:
Index: Classes/MVC/Controller/ActionController.php
===================================================================
--- Classes/MVC/Controller/ActionController.php    (revision 3199)
+++ Classes/MVC/Controller/ActionController.php    (working copy)
@@ -129,7 +129,10 @@

         $this->mapRequestArgumentsToControllerArguments();
         $this->view = $this->resolveView();
-        if ($this->view !== NULL) $this->initializeView($this->view);
+        if ($this->view !== NULL) {
+            $this->initializeView($this->view);
+            $this->view->assign('settings', $this->settings);
+        }
         $this->callActionMethod();
     }

#2 - 2009-10-30 13:01 - Karsten Dambekalns
I'd do the assign before the call to initializeView(), so that it could be overridden there, if needed.

#3 - 2009-10-30 13:11 - Bastian Waidelich
- Target version set to 1.0 alpha 6

#4 - 2009-10-30 14:00 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3381.
